<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="systemd-nspawn@">
      <file file_type="variable" source="nspawn" variable="machined.machines">machined.nspawn_zone_filename</file>
      <file file_type="variable" source="network-script" variable="machined.machines" mode="700">machined.nspawn_script_filename</file>
    </service>
  </services>
  <variables>
    <variable name="machines" description="Machines started in this host" type="domainname" multi="True" provider="Host"/>
    <family name="machine_" description="Machine " dynamic="machined.machines">
      <variable name="incoming_ports_" description="Incomming external ports for " hidden="True" type="port" multi="True" provider="Host:incoming_ports"/>
      <variable name="outgoing_ports_" description="Outcoming external ports for " hidden="True" type="port" multi="True" provider="Host:outgoing_ports"/>
      <variable name="srv_dir_" description="Directory with srv volume for " hidden="True" type="filename" provider="Host:machine_srv"/>
      <variable name="journal_dir_" description="Directory with journal volume for " hidden="True" type="filename" provider="Host:machine_journal"/>
      <variable name="config_dir_" description="Directory with configuration volume for " hidden="True" type="filename" provider="Host:config_dir" mandatory="True"/>
      <variable name="zones_" description="Zones for " hidden="True" provider="Host:machine_zones" mandatory="True" multi="True"/>
      <variable name="ip_" description="IP for " type="ip" hidden="True"/>
    </family>
    <variable name="nspawn_zone_filename" type="filename" hidden="True" multi="True"/>
    <variable name="nspawn_script_filename" type="filename" hidden="True" multi="True"/>
  </variables>
  <constraints>
    <fill name="calc_value">
      <param>/usr/local/lib/sbin/network-</param>
      <param type="variable">machined.machines</param>
      <param name="join"></param>
      <param name="multi" type="boolean">True</param>
      <target>machined.nspawn_script_filename</target>
    </fill>
    <fill name="calc_value">
      <param>/etc/systemd/nspawn/</param>
      <param type="variable">machined.machines</param>
      <param>.nspawn</param>
      <param name="join"></param>
      <param name="multi" type="boolean">True</param>
      <target>machined.nspawn_zone_filename</target>
    </fill>
    <fill name="get_ip">
      <param type="information">zones</param>
      <param type="suffix"/>
      <target>machined.machine_.ip_</target>
    </fill>
  </constraints>
</rougail>


